package com.bonus.canteen.core.menu.dto;

import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;
import java.io.Serializable;
import java.time.LocalDate;
import java.util.List;

public class MenuRecipeV2AddCopyDTO implements Serializable {
   @ApiModelProperty("源菜谱id")
   private @NotNull(
   message = "{menu_source_recipe_id_null}"
) Long sourceRecipeId;
   @ApiModelProperty("源菜谱日期")
   private @NotNull(
   message = "{source_apply_date_null}"
) LocalDate sourceApplyDate;
   @ApiModelProperty("目标菜谱id")
   private @NotNull(
   message = "{menu_target_recipe_id_null}"
) Long targetRecipeId;
   @ApiModelProperty("目标菜谱日期")
   private @Size(
   min = 1,
   message = "{menu_target_apply_date_null}"
) List<LocalDate> targetApplyDateList;

   public Long getSourceRecipeId() {
      return this.sourceRecipeId;
   }

   public LocalDate getSourceApplyDate() {
      return this.sourceApplyDate;
   }

   public Long getTargetRecipeId() {
      return this.targetRecipeId;
   }

   public List<LocalDate> getTargetApplyDateList() {
      return this.targetApplyDateList;
   }

   public void setSourceRecipeId(final Long sourceRecipeId) {
      this.sourceRecipeId = sourceRecipeId;
   }

   public void setSourceApplyDate(final LocalDate sourceApplyDate) {
      this.sourceApplyDate = sourceApplyDate;
   }

   public void setTargetRecipeId(final Long targetRecipeId) {
      this.targetRecipeId = targetRecipeId;
   }

   public void setTargetApplyDateList(final List<LocalDate> targetApplyDateList) {
      this.targetApplyDateList = targetApplyDateList;
   }
}
